Bug 1323363 - remove "-D SECURE_BOOT_ENABLE" from AAVMF
Summary: remove "-D SECURE_BOOT_ENABLE" from AAVMF
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ovmf
Version: 7.3
Hardware: aarch64
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Laszlo Ersek
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-02 06:57 UTC by Laszlo Ersek
Modified: 2017-10-10 10:53 UTC (History)
6 users (show)

Fixed In Version: ovmf-20160419-1.git90bb4c5.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-10 10:53:14 UTC


Attachments (Terms of Use)

Description Laszlo Ersek 2016-04-02 06:57:54 UTC
NVR: AAVMF-20160202-2.gitd7c0dfa.el7.noarch

The AAVMF firmware binaries currently include the secure boot feature / infrastructure. However, in aarch64 / "virt" virtual machines, the UEFI varstore pflash chip cannot be protected with virtual hardware means from a malicious runtime guest OS. (In OVMF's case (x86_64), this is solved by using SMM, but for aarch64, anything similar in that direction lies pretty far out.)

The false sense of security that could arise from AAVMF's secure boot infrastructure has been deemed to outweigh the guest OS development / testing features that the same enables. Therefore, in the next rebase of the "ovmf" SRPM, the secure boot feature should be removed from AAVMF.

Consequently, the sub-package's "License:" tag, the license files that the sub-package installs, and the TianoCore splash screen that AAVMF shows, should all be adapted to the lack of OpenSSL in the AAVMF binaries.

Comment 1 Jon Masters 2016-04-12 17:25:06 UTC
Agree with this change. Ultimately, one assumes a virtual EL3 (Secure World) akin to SMM will be used to protect the flash content from the VM OS.

Comment 5 Laszlo Ersek 2017-10-10 10:53:14 UTC
This was fixed in RHEL-ALT-7.3.


Note You need to log in before you can comment on or make changes to this bug.